Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000480Core InformPhrases and functional programmingpublic2010-12-20 10:472014-05-07 07:33
Assigned Tograham 
Platformx86OSMac OS XOS Version10.5
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000480: ALL BUT and ALL EXCEPT do not work general kinds
DescriptionThe commands shown in the manual ALL BUT and ALL EXCEPT will allegedly let me write things like the following 'if all but one of the devices is switched off' -- but it just will not accept this as valid syntax.
Minimal Source Text To Reproduce
The Tool Room is a room.

A switched on device called a blue button is here.

A switched off device called a red button is here.

When play begins:
     if all but one of the devices are switched on, say "All but one of the devices are switched 
Additional InformationI have tried many variation (ALL EXCEPT, ALL BUT ONE DEVICE, and more) and none of them are accepted as valid.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
jmcgrew (administrator)
2010-12-20 19:07

Confirmed: the "if all but two of the devices are switched on" syntax mentioned in WI 6.16 doesn't seem to be implemented.
graham (administrator)
2014-02-10 14:15

In fact it was implemented, but at some point the distinction between "all X of the K" and "all but X of the K" was lost. Fixed now.

- Issue History
Date Modified Username Field Change
2010-12-20 10:47 Laroquod New Issue
2010-12-20 19:07 jmcgrew Note Added: 0000915
2010-12-20 19:07 jmcgrew Status new => confirmed
2010-12-20 20:05 jmcgrew Category Actions => Phrases and functional programming
2014-02-10 14:15 graham Note Added: 0002471
2014-02-10 14:15 graham Status confirmed => resolved
2014-02-10 14:15 graham Resolution open => fixed
2014-02-10 14:15 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker